using System;
using System.Collections.Generic;
using System.Text;
using Keyoti.SearchEngine.Documents;
using Keyoti.SearchEngine;

namespace Plugin
{
    public class ExtendedParserProvider : ParserProvider
    {

        public ExtendedParserProvider(Configuration c) : base(c) { }

        public override Parser GetParser(string mimeType)
        {
            
            if (mimeType == "text/html")
            {
                Keyoti.SearchEngine.DataAccess.Log.WriteLogEntry("Plug-in", "Created custom parser for " + mimeType, Configuration);    
                return new ExtendedHtmlDocumentParser(Configuration);

            }
            else

                return base.GetParser(mimeType);

        }

    }


}
